Skip to main content
PATCH
Update Postgres superuser password
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Sets a new password for a Postgres service’s superuser account.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the Postgres service.

postgresId
string<uuid>
required

ID of the requested Postgres service.

Body

application/json
password
string

Optional password. If not provided a new password is generated and provided in the response. Must contain:

  • At least one lowercase letter
  • At least one uppercase letter
  • At least one digit
Required string length: 12 - 1024
Pattern: [0-9]

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 9, 2026